all: menu disp compute

menu: menu.c share.h
	mkdir -p bin
	gcc -Wall -Wextra  menu.c -o bin/menu -O -g -g3 -lrt

disp: display.c share.h
	mkdir -p bin
	gcc -Wall -Wextra  display.c -o bin/disp -O -g -g3

compute: compute.c share.h
	mkdir -p bin
	gcc -Wall -Wextra  compute.c -o bin/compute -O -g -g3 -lrt

clean:
	rm -rf bin
